Bug 1018757 - Exception when rendering gadgets
Exception when rendering gadgets
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: CR1
: 6.0.0
Assigned To: Nick Cross
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 07:36 EDT by Jiri Pechanec
Modified: 2014-02-06 10:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GADGETS-71 Major Open Occasional ConcurrentModificationException when starting up gadget web UI 2015-07-24 08:13:26 EDT

  None (edit)
Description Jiri Pechanec 2013-10-14 07:36:11 EDT
When a page with gadgets is rendered (typically first time) sometimes an exception is thrown in the log

11:39:35,396 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/gadget-web].[js]] (http-/127.0.0.1:9080-6) JBWEB000236: Servlet.service() for servlet js threw exception: java.util.ConcurrentModificationException
        at java.util.TreeMap$NavigableSubMap$SubMapIterator.prevEntry(TreeMap.java:1605) [rt.jar:1.7.0_25]
        at java.util.TreeMap$NavigableSubMap$DescendingSubMapKeyIterator.next(TreeMap.java:1682) [rt.jar:1.7.0_25]
        at com.google.javascript.jscomp.ComposeWarningsGuard.addGuards(ComposeWarningsGuard.java:99) [closure-compiler-r1592.jar:]
        at com.google.javascript.jscomp.ComposeWarningsGuard.addGuard(ComposeWarningsGuard.java:89) [closure-compiler-r1592.jar:]
        at com.google.javascript.jscomp.ComposeWarningsGuard.addGuards(ComposeWarningsGuard.java:100) [closure-compiler-r1592.jar:]
        at com.google.javascript.jscomp.ComposeWarningsGuard.<init>(ComposeWarningsGuard.java:79) [closure-compiler-r1592.jar:]
        at com.google.javascript.jscomp.Compiler.initOptions(Compiler.java:276) [closure-compiler-r1592.jar:]
        at com.google.javascript.jscomp.Compiler.initModules(Compiler.java:331) [closure-compiler-r1592.jar:]
        at com.google.javascript.jscomp.Compiler.init(Compiler.java:311) [closure-compiler-r1592.jar:]
        at com.google.javascript.jscomp.Compiler.compile(Compiler.java:510) [closure-compiler-r1592.jar:]
        at org.apache.shindig.gadgets.rewrite.js.ClosureJsCompiler.doCompile(ClosureJsCompiler.java:205) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
        at org.apache.shindig.gadgets.rewrite.js.ClosureJsCompiler.compile(ClosureJsCompiler.java:172) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
        at org.apache.shindig.gadgets.js.CompilationProcessor.process(CompilationProcessor.java:48) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
        at org.apache.shindig.gadgets.js.DefaultJsProcessorRegistry.process(DefaultJsProcessorRegistry.java:53) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
        at org.apache.shindig.gadgets.js.DefaultJsServingPipeline.execute(DefaultJsServingPipeline.java:41) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
        at org.apache.shindig.gadgets.servlet.JsServlet.doGet(JsServlet.java:93) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:734) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.shindig.gadgets.servlet.ETagFilter.doFilter(ETagFilter.java:55) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.shindig.common.servlet.HostFilter.doFilter(HostFilter.java:39) [shindig-common-3.0.0-beta4.jar:3.0.0-beta4]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
        at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
        at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb-7.2.0.Final-redhat-1.jar:7.2.0.Final-redhat-1]
        at java.lang.Thread.run(Thread.java:724) [rt.jar:1.7.0_25]

There is no systematic way how to reproduce the issue - typically one in 10-15 runs. The rendered page contains all four supported gadgets.
Comment 5 JBoss JIRA Server 2013-11-19 14:37:08 EST
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira GADGETS-71 to Open
Comment 6 Jiri Pechanec 2014-01-06 05:25:06 EST
Spotted in ER8 again
10:27:59,741 INFO  [org.jboss.weld.deployer] (MSC service thread 1-8) JBAS016005: Starting Services for CDI deployment: ordermgmt-ip.war
10:27:59,754 INFO  [org.jboss.weld.deployer] (MSC service thread 1-4) JBAS016008: Starting weld service for deployment ordermgmt-ip.war
10:27:59,883 INFO  [org.jboss.web] (ServerService Thread Pool -- 75) JBAS018210: Register web context: /ordermgmt-ip
10:27:59,952 INFO  [org.jboss.as.server] (management-handler-thread - 1) JBAS018559: Deployed "ordermgmt-ip.war" (runtime-name : "ordermgmt-ip.war")
10:29:15,271 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/gadget-web].[js]] (http-/127.0.0.1:9080-4) JBWEB000236: Servlet.service() for servlet js threw exception: java.util.ConcurrentModificationException
	at java.util.TreeMap$NavigableSubMap$SubMapIterator.prevEntry(TreeMap.java:1605) [rt.jar:1.7.0_25]
	at java.util.TreeMap$NavigableSubMap$DescendingSubMapKeyIterator.next(TreeMap.java:1682) [rt.jar:1.7.0_25]
	at com.google.javascript.jscomp.ComposeWarningsGuard.addGuards(ComposeWarningsGuard.java:99) [closure-compiler-r1741.jar:]
	at com.google.javascript.jscomp.ComposeWarningsGuard.addGuard(ComposeWarningsGuard.java:89) [closure-compiler-r1741.jar:]
	at com.google.javascript.jscomp.ComposeWarningsGuard.addGuards(ComposeWarningsGuard.java:100) [closure-compiler-r1741.jar:]
	at com.google.javascript.jscomp.ComposeWarningsGuard.<init>(ComposeWarningsGuard.java:79) [closure-compiler-r1741.jar:]
	at com.google.javascript.jscomp.Compiler.initOptions(Compiler.java:277) [closure-compiler-r1741.jar:]
	at com.google.javascript.jscomp.Compiler.initModules(Compiler.java:332) [closure-compiler-r1741.jar:]
	at com.google.javascript.jscomp.Compiler.init(Compiler.java:312) [closure-compiler-r1741.jar:]
	at com.google.javascript.jscomp.Compiler.compile(Compiler.java:511) [closure-compiler-r1741.jar:]
	at org.apache.shindig.gadgets.rewrite.js.ClosureJsCompiler.doCompile(ClosureJsCompiler.java:205) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
	at org.apache.shindig.gadgets.rewrite.js.ClosureJsCompiler.compile(ClosureJsCompiler.java:172) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
	at org.apache.shindig.gadgets.js.CompilationProcessor.process(CompilationProcessor.java:48) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
	at org.apache.shindig.gadgets.js.DefaultJsProcessorRegistry.process(DefaultJsProcessorRegistry.java:53) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
	at org.apache.shindig.gadgets.js.DefaultJsServingPipeline.execute(DefaultJsServingPipeline.java:41) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
	at org.apache.shindig.gadgets.servlet.JsServlet.doGet(JsServlet.java:93) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:734) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.shindig.gadgets.servlet.ETagFilter.doFilter(ETagFilter.java:55) [shindig-gadgets-3.0.0-beta4.jar:3.0.0-beta4]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.shindig.common.servlet.HostFilter.doFilter(HostFilter.java:39) [shindig-common-3.0.0-beta4.jar:3.0.0-beta4]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:499) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.2.1.Final-redhat-10.jar:7.2.1.Final-redhat-10]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:336) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:920) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:724) [rt.jar:1.7.0_25]

10:29:20,447 INFO  [org.jboss.resteasy.cdi.CdiInjectorFactory] (http-/127.0.0.1:9080-11) Found BeanManager at java:comp/BeanManager
10:29:20,471 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (http-/127.0.0.1:9080-11) Deploying javax.ws.rs.core.Application: class org.overlord.rtgov.internal.active.collection.rest.RESTActiveCollectionServerApplication$Proxy$_$$_WeldClientProxy
10:29:20,473 INFO  [org.jboss.resteasy.spi.ResteasyDeployment] (http-/127.0.0.1:9080-11) Adding singleton resource org.overlord.rtgov.internal.active.collection.rest.RESTActiveCollectionServer from Application javax.ws.rs.core.Application
Comment 7 Nick Cross 2014-01-07 08:27:13 EST
Added a build of shindig (builder.cfg sha ebac2fe231e106fd5c50da83efaee58c02f7b0c0)
Comment 8 Jiri Pechanec 2014-01-15 04:26:45 EST
Not spotted in CR1

Note You need to log in before you can comment on or make changes to this bug.